pipeline {
    agent any

    stages {
        stage('[Neutral] - Test') {
            steps {
                script {
                    echo "[Neutral-Deploy] - Test Stage"
                    sh "rm -rf neutral"
                    sh "git clone https://git.raphix.fr/infrastructure/neutral.git"
                    sh "cd neutral"
                    sh "npm i"
                    sh "ENV='TEST' node bin/www"
                }
                
            }
        }
        stage('[Neutral] - Déploiement') {
            steps {
                script {
        
                    def doesJavaRock = input(message: 'Confirmation de Déploiement', ok: 'Déployer')
                    echo "[Neutral-Deploy] - Deploy Stage"
                    sh "ssh raphix@raphix.fr sudo apt update -y"
                    sh "ssh raphix@raphix.fr sudo apt upgrade -y"
                    sh "ssh raphix@raphix.fr sudo -S -u gitlab-ci /home/gitlab-ci/neutral_deploy.sh"
                   
                              
                }
                
            }
        }
    }
}